MCP Tools Reference: chronicle.googleapis.com

Tool: delete_feed

Delete a feed from Chronicle.

Permanently removes a feed from Chronicle. This action cannot be undone and will stop any data ingestion from this feed.

Workflow Integration:

  • Use to permanently remove a feed configuration.
  • Essential for cleaning up unused or obsolete feeds.

Use Cases:

  • Remove a feed for a decommissioned data source.
  • Clean up test feeds.

Example Usage:

  • delete_feed(feedId="feed_12345", projectId="my-project", customerId="my-customer", region="us")

The following sample demonstrate how to use curl to invoke the delete_feed MCP tool.

Curl Request
                  
curl --location 'https://chronicle.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_feed",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for DeleteFeed.

DeleteFeedRequest

JSON representation
{
  "projectId": string,
  "customerId": string,
  "region": string,
  "feedId": string
}
Fields
projectId

string

Google Cloud project ID (required).

customerId

string

Chronicle customer ID (required).

region

string

Chronicle region (e.g., "us", "europe") (required).

feedId

string

The unique ID of the feed to delete.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌